id: wordpress-woocommerce-payments

info:
  name: WooPayments' Integrated WooCommerce Payments Detection
  author: ricardomaia
  severity: info
  reference:
    - https://wordpress.org/plugins/woocommerce-payments/
  metadata:
    plugin_namespace: woocommerce-payments
    wpscan: https://wpscan.com/plugin/woocommerce-payments
  tags: tech,wordpress,wp-plugin,top-100,top-200

http:
  - method: GET
    path:
      - "{{BaseURL}}/wp-content/plugins/woocommerce-payments/readme.txt"

    payloads:
      last_version: helpers/wordpress/plugins/woocommerce-payments.txt

    extractors:
      - type: regex
        part: body
        internal: true
        name: internal_detected_version
        group: 1
        regex:
          - '(?i)Stable.tag:\s?([\w.]+)'

      - type: regex
        part: body
        name: detected_version
        group: 1
        regex:
          - '(?i)Stable.tag:\s?([\w.]+)'

    matchers-condition: or
    matchers:
      - type: dsl
        name: "outdated_version"
        dsl:
          - compare_versions(internal_detected_version, concat("< ", last_version))

      - type: regex
        part: body
        regex:
          - '(?i)Stable.tag:\s?([\w.]+)'
# digest: 490a0046304402207b887f0e3b264dc98363ac80603c615944f83612eaebbbeb8c64bacf2e62e9fe02206b28f634ba63e4c9553a5e2dd73af190a342a45e5d1d30f0ad38efd119d2cef0:922c64590222798bb761d5b6d8e72950